<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
import { mapGetters, mapState, mapActions } from 'vuex'
import departmentApi from '@/api/department'
import enumItem from '@/store/modules/enumItem'
export default {
  name: 'App',
  data(){
    return{
      depart:[],
      queryParam: {
        level: null,
        pageIndex: 1,
        pageSize: 100
      },
    }
  },
  created () {
    console.log(this.Islogin)
  },
  computed:{
    ...mapState('enumItem',{Islogin:state => state.user.levelEnum})
  },
  mounted () {
    if (! sessionStorage.getItem('deptAdmin')) {
      this.$router.push({ path: '/' })
    }
    this.seachPageDepartMentList()
  },
  methods:{
    async seachPageDepartMentList () {
      let that = this
      await departmentApi.pageList(this.queryParam).then(res => {
        console.log(res)
        if (res.code == 1) {
          that.depart = res.response
          console.log(that.depart)
          this.depart.map(item=>{
            item.key = item.id
            item.value = item.name
          })
          enumItem.state.user.levelEnum = that.depart

        }
      })
    }
  }
}

</script>
